Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.definition
Class AbstractFeasibilityScoreDefinition<S extends FeasibilityScore<S>>

    java.lang.Object
      org.optaplanner.core.impl.score.definition.AbstractScoreDefinition<S>
          org.optaplanner.core.impl.score.definition.AbstractFeasibilityScoreDefinition<S>

All Implemented Interfaces:
  Serializable, FeasibilityScoreDefinition<S>, ScoreDefinition<S>

Direct Known Subclasses:
  BendableBigDecimalScoreDefinition, BendableScoreDefinition, HardMediumSoftLongScoreDefinition, HardMediumSoftScoreDefinition, HardSoftBigDecimalScoreDefinition, HardSoftDoubleScoreDefinition, HardSoftLongScoreDefinition, HardSoftScoreDefinition

    public abstract class AbstractFeasibilityScoreDefinition<S extends FeasibilityScore<S>>

extends AbstractScoreDefinition<S>
implements FeasibilityScoreDefinition<S>

Abstract superclass for `FeasibilityScoreDefinition`.

See Also:
  `FeasibilityScoreDefinition`, `HardSoftScoreDefinition`, Serialized Form

Constructor Summary
`AbstractFeasibilityScoreDefinition()`

Method Summary

Methods inherited from class org.optaplanner.core.impl.score.definition.AbstractScoreDefinition
`formatScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.score.definition.FeasibilityScoreDefinition
`getFeasibleLevelsSize`

Methods inherited from interface org.optaplanner.core.impl.score.definition.ScoreDefinition
`buildOptimisticBound, buildPessimisticBound, buildScoreHolder, formatScore, getLevelsSize, getScoreClass, parseScore`

Constructor Detail

### AbstractFeasibilityScoreDefinition

    public AbstractFeasibilityScoreDefinition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.